The Universally Unique IDentifier (UUID) of this node, represented as a 16 byte hex number.
Sources for this description
IBM MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.2.3.51.2.24.3.1.7
The Universally Unique IDentifier (UUID) of this node, represented as a 16 byte hex number.
Identification
{1 3 6 1 4 1 2 3 51 2 24 3 1 7}
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In BLADE-MIB, the row index scalableComplexNodeSlot is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.2.3.51.2.24.3.1.7.<scalableComplexNodeSlot>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
Published row index: scalableComplexNodeSlot.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.2.3.51.2.24.3.1.7
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
scalableComplexNodeUUID OBJECT-TYPE
SYNTAX OCTET STRING (SIZE(256))
ACCESS read-only
STATUS mandatory
DESCRIPTION
"The Universally Unique IDentifier (UUID) of this node, represented
as a 16 byte hex number."
::= { scalableComplexNodeEntry 7 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
The Universally Unique IDentifier (UUID) of this node, represented as a 16 byte hex number.
IBM MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: scalableComplexNodeUUID
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"scalableComplexNodeUUID",
"OBJECT-TYPE",
"SYNTAX",
"OCTET",
"STRING",
"(",
"SIZE",
"(",
"256",
")",
")",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The Universally Unique IDentifier (UUID) of this node, represented as a 16 byte hex number.\"",
"::=",
"{",
"scalableComplexNodeEntry",
"7",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"OCTET STRING",
[
"octetStringSubType",
[
[
256
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The Universally Unique IDentifier (UUID) of this node, represented as a 16 byte hex number."
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive. IBM support.
Module: BLADE-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress']}Related source files and packages:
Same file in Observium Community.
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.2.3.51.2.24.3.1.1 | scalableComplexNodeSlot | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.24.3.1.2 | scalableComplexNodeName | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.24.3.1.3 | scalableComplexNodeType | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.24.3.1.4 | scalableComplexNodeResources | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.24.3.1.5 | scalableComplexNodeRole | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.24.3.1.6 | scalableComplexNodeState | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.24.3.1.8 | scalableComplexNodeSerialNum | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.24.3.1.9 | scalableComplexNodeNumPorts | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.24.3.1.10 | scalableComplexNodeComplexID | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.24.3.1.11 | scalableComplexNodePartitionID | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.24.3.1.12 | scalableComplexNodeLogicalID | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.24.3.1.14 | scalableComplexNodeAction | 0 | 0 |